---
all:
  vars:
# DEFAULT CONNECTION CONFIG
    ansible_connection: ansible.netcommon.network_cli
    ansible_user: admin
    ansible_become: yes
    ansible_become_method: enable
# DEFAULT JUMPHOST CONFIG
    #ansible_ssh_common_args: '-F ../.ssh/config'
    #ansible_ssh_common_args: '-o ProxyCommand="ssh -W %h:%p user@bastion"'
    #ansible_ssh_extra_args: '-o ProxyCommand="ssh -W %h:%p user@bastion"'
    #jumphost:
      #hostname:
      #port: 22
      #password: # how about ssh keys?
      #username:
###################################################################
# you can set all secrets in the secrets*.gpg and all.vault files
#   plaintext default enable&ssh passwords for labs are possible
#
# DO NOT SET OTHER PASSWORDS IN THIS FILE !!!
#  THEY WOULD OVERRIDE ENCRYPTED DEFAULT PASSWORDS
#
###################################################################
# DEFAULT PLAINTEXT PASSWORD CONFIG
    #ansible_password: admin # !!! PLAINTEXT
    #ansible_become_password: admin # !!! PLAINTEXT
  children: 
    site01:
# CUSTOM CONFIG (Example: clearing jumphost config vor jumphost site)
      #vars:
        #ansible_ssh_extra_args: ''
        #ansible_ssh_common_args: ''
        #jumphost: ''
      hosts:
        #SITE--extras-extras-ROLE__NAME:
          #ansible_host: IP_OR_DNS
          #role: ROLE
          #type: DEVICE_TYPE
          #network_device_type: NETWORK_DEVICE_TYPE
        site01--leaf__01arista_eos:
          ansible_host: 192.168.121.1
          role: leaf
          type: network_device
          network_device_type: switch
        site01--leaf__03huawei-campus_vrp:
          ansible_host: 192.168.121.3
          role: leaf
          type: network_device
          network_device_type: switch
        site01--leaf__04huawei-campus_yunshanos:
          ansible_host: 192.168.121.4
          role: leaf
          type: network_device
          network_device_type: switch
        site01--leaf__07dell_os10:
          ansible_host: 192.168.121.7
          role: leaf
          type: network_device
          network_device_type: switch
        site01--leaf__08dell_os9:
          ansible_host: 192.168.121.8
          role: leaf
          type: network_device
          network_device_type: switch
        site01--leaf__09dell_os6:
          ansible_host: 192.168.121.9
          role: leaf
          type: network_device
          network_device_type: switch
    site02:
      hosts:
        site02--leaf__02cisco_ios:
          ansible_host: 192.168.122.2
          role: leaf
          type: network_device
          network_device_type: switch
        site02--leaf__05huawei-datacenter_vrp:
          ansible_host: 192.168.122.5
          role: leaf
          type: network_device
          network_device_type: switch
        site02--leaf__06huawei-datacenter_yunshanos:
          ansible_host: 192.168.122.6
          role: leaf
          type: network_device
          network_device_type: switch
        site02--leaf__10hp_arubaos:
          ansible_host: 192.168.122.10
          role: leaf
          type: network_device
          network_device_type: switch
    site03:
      hosts:
        site03--stack2-leaf__01arista_eos:
          ansible_host: 192.168.123.1
          role: leaf
          type: network_device
          network_device_type: switch
        site03--stack2-leaf__03huawei-campus_vrp:
          ansible_host: 192.168.123.3
          role: leaf
          type: network_device
          network_device_type: switch
        site03--stack2-leaf__04huawei-campus_yunshanos:
          ansible_host: 192.168.123.4
          role: leaf
          type: network_device
          network_device_type: switch
        site03--stack2-leaf__07dell_os10:
          ansible_host: 192.168.123.7
          role: leaf
          type: network_device
          network_device_type: switch
        site03--stack2-leaf__08dell_os9:
          ansible_host: 192.168.123.8
          role: leaf
          type: network_device
          network_device_type: switch
        site03--stack2-leaf__09dell_os6:
          ansible_host: 192.168.123.9
          role: leaf
          type: network_device
          network_device_type: switch
    site04:
      hosts:
        site04--stack2-leaf__02cisco_ios:
          ansible_host: 192.168.124.2
          role: leaf
          type: network_device
          network_device_type: switch
        site04--stack2-leaf__05huawei-datacenter_vrp:
          ansible_host: 192.168.124.5
          role: leaf
          type: network_device
          network_device_type: switch
        site04--stack2-leaf__06huawei-datacenter_yunshanos:
          ansible_host: 192.168.124.6
          role: leaf
          type: network_device
          network_device_type: switch
        site04--stack2-leaf__10hp_arubaos:
          ansible_host: 192.168.124.10
          role: leaf
          type: network_device
          network_device_type: switch

# netOS CONNECTION CONFIG
    arista:
      vars:
        platform: eos
        ansible_network_os: arista.eos.eos
        #connection_options: # !!! define connection_options only at group level
          #netconf:
          #netmiko:
            #port: 22
            #extras: # defining extras elsewhere will overwrite entire key 
              #secret:
              #username:
      hosts:
        site01--leaf__01arista_eos:
        site03--stack2-leaf__01arista_eos:

    cisco:
      children:
        cisco_ios:
    cisco_ios:
      vars:
        platform: ios
        ansible_network_os: cisco.ios.ios
      hosts:
        site02--leaf__02cisco_ios:
        site04--stack2-leaf__02cisco_ios:

    huawei:
      vars:
        platform: huawei
        ansible_network_os: community.network.ce
      children:
        huawei_yunshanos:
        huawei_vrp:
        huawei_campus:
        huawei_datacenter:
    huawei_yunshanos:
      vars:
        platform: huawei_vrpv8
      hosts:
        site01--leaf__04huawei-campus_yunshanos:
        site03--stack2-leaf__04huawei-campus_yunshanos:
        site02--leaf__06huawei-datacenter_yunshanos:
        site04--stack2-leaf__06huawei-datacenter_yunshanos:
    huawei_vrp:
      vars:
        platform: huawei_vrp
      hosts:
        site01--leaf__03huawei-campus_vrp:
        site03--stack2-leaf__03huawei-campus_vrp:
        site02--leaf__05huawei-datacenter_vrp:
        site04--stack2-leaf__05huawei-datacenter_vrp:
    huawei_campus:
      hosts:
        site01--leaf__04huawei-campus_yunshanos:
        site03--stack2-leaf__04huawei-campus_yunshanos:
        site01--leaf__03huawei-campus_vrp:
        site03--stack2-leaf__03huawei-campus_vrp:
    huawei_datacenter:
      hosts:
        site02--leaf__06huawei-datacenter_yunshanos:
        site04--stack2-leaf__06huawei-datacenter_yunshanos:
        site02--leaf__05huawei-datacenter_vrp:
        site04--stack2-leaf__05huawei-datacenter_vrp:

    dell:
      children:
        dell_os10:
        dell_os9:
        dell_os6:
    dell_os10:
      vars:
        platform: dell_os10
        ansible_network_os: dellemc.os10.os10
      hosts:
        site01--leaf__07dell_os10:
        site03--stack2-leaf__07dell_os10:
    dell_os9:
      vars:
        platform: dell_os9
        ansible_network_os: dellemc.os9.os9
      hosts:
        site01--leaf__08dell_os9:
        site03--stack2-leaf__08dell_os9:
    dell_os6:
      vars:
        platform: dell_os6
        ansible_network_os: dellemc.os6.os6
      hosts:
        site01--leaf__09dell_os6:
        site03--stack2-leaf__09dell_os6:

    hp:
      children:
        hp_arubaos:
    hp_arubaos:
      vars:
        platform: aruba_os
        ansible_network_os: community.network.aruba
      hosts:
        site02--leaf__10hp_arubaos:
        site04--stack2-leaf__10hp_arubaos:
...

